Main Page Class Hierarchy Compound List Compound Members

# Column Class Reference

List of all members.

## Public Methods
| Column ()
| ~Column ()
Column | operator= (const Column &c)
| Column (const Column &c)
int | getLogicalArray (Bool *&b, int &numOfElements, int *status)
int | getBitArray (char *&c, int &numOfElements, int *status)
int | getByteArray (unsigned char *&c, int &numOfElements, int *status)
int | getShortArray (short *&array, int &numOfElements, int *status)
int | getIntArray (int *&array, int &numOfElements, int *status)
int | getLongArray (long *&array, int &numOfElements, int *status)
int | getCharArray (char *&array, int &numOfElements, int *status)
int | getUnicodeArray (unsigned short *&array, int &numOfElements, int *status)
int | getFloatArray (float *&array, int &numOfElements, int *status)
int | getDoubleArray (double *&array, int &numOfElements, int *status)
int | getFloatComplexArray (float *&array, int &numOfElements, int *status)
int | getDoubleComplexArray (double *&array, int &numOfElements, int *status)
int | getRef (char *&ref, int *status)

## Detailed Description

This class represents <TD> element in a Table.

Column contains data in the primitive form. It may also contain an array.

## Constructor & Destructor Documentation

Column.Column | ( |  | ) |

| Default Constructor

Column.~Column | ( |  | ) |

| Destructor

Column.Column | ( | const Column & | c | ) |

| Copy Constructor

## Member Function Documentation

int Column.getBitArray | ( | char *& | c,
|  | int & | numOfElements,
|  | int * | status
| ) |

| Gets bit array.

int Column.getByteArray | ( | unsigned char *& | c,
|  | int & | numOfElements,
|  | int * | status
| ) |

| Gets byte array.

int Column.getCharArray | ( | char *& | array,
|  | int & | numOfElements,
|  | int * | status
| ) |

| Gets character array.

int Column.getDoubleArray | ( | double *& | array,
|  | int & | numOfElements,
|  | int * | status
| ) |

| Gets double array.

int Column.getDoubleComplexArray | ( | double *& | array,
|  | int & | numOfElements,
|  | int * | status
| ) |

| Gets double complex array.

int Column.getFloatArray | ( | float *& | array,
|  | int & | numOfElements,
|  | int * | status
| ) |

| Gets float array.

int Column.getFloatComplexArray | ( | float *& | array,
|  | int & | numOfElements,
|  | int * | status
| ) |

| Gets float complex array.

int Column.getIntArray | ( | int *& | array,
|  | int & | numOfElements,
|  | int * | status
| ) |

| Gets integer array.

int Column.getLogicalArray | ( | Bool *& | b,
|  | int & | numOfElements,
|  | int * | status
| ) |

| Gets data in boolean array.

int Column.getLongArray | ( | long *& | array,
|  | int & | numOfElements,
|  | int * | status
| ) |

| Gets long array.

int Column.getRef | ( | char *& | ref,
|  | int * | status
| ) |

| Gets attribute 'ref' of <TD>.

int Column.getShortArray | ( | short *& | array,
|  | int & | numOfElements,
|  | int * | status
| ) |

| Gets short array.

int Column.getUnicodeArray | ( | unsigned short *& | array,
|  | int & | numOfElements,
|  | int * | status
| ) |

| Gets Unicode array.

Column Column.operator= | ( | const Column & | c | ) |

| Assignment operator overloaded.